﻿--[[

-- Atlas Data (Traditional Chinese)
-- Translated and maintained by Arith Hsu
-- arithmandarjp at yahoo.co.jp
-- Special thanks for Alfred and his website "Alfred's WoW Treasure BOX"
-- http://statue.sayya.org/wowdb/index.php
--
-- Last Updated: 6/22/2007

--]]
if (GetLocale() == 	"zhTW") then

--[[
loottables.tw.lua
This file assigns a title to every loot table.  The primary use of this table
is in the search function, as when iterating through the loot tables there is no
inherant title to the loot table, given the origins of the mod as an Atlas plugin.
]]

--Invoke libraries
local BabbleTrade=AceLibrary("Babble-Tradeskill-2.2");
local BabbleFaction = AceLibrary("Babble-Faction-2.2");

--Table of loot titles
    --Auch: Mana Tombs
    AtlasLoot_TableNames["AuchManaPandemonius"] = "班提蒙尼厄斯";
    AtlasLoot_TableNames["AuchManaPandemoniusHEROIC"] = "班提蒙尼厄斯 (英雄)";
    AtlasLoot_TableNames["AuchManaTavarok"] = "塔瓦洛克";
    AtlasLoot_TableNames["AuchManaTavarokHEROIC"] = "塔瓦洛克 (英雄)";
    AtlasLoot_TableNames["AuchManaNexusPrince"] = "奈薩斯王子薩法爾";
    AtlasLoot_TableNames["AuchManaNexusPrinceHEROIC"] = "奈薩斯王子薩法爾 (英雄)";
    AtlasLoot_TableNames["AuchManaYor"] = "約兒";
    --Auch: Auchenai Crypts
    AtlasLoot_TableNames["AuchCryptsShirrak"] = "死亡看守者辛瑞克";
    AtlasLoot_TableNames["AuchCryptsShirrakHEROIC"] = "死亡看守者辛瑞克 (英雄)";
    AtlasLoot_TableNames["AuchCryptsExarch"] = "主教瑪拉達爾";
    AtlasLoot_TableNames["AuchCryptsExarchHEROIC"] = "主教瑪拉達爾  (英雄)";
    AtlasLoot_TableNames["AuchCryptsAvatar"] = "馬丁瑞德的化身";
    --Auch: Sethekk Halls
    AtlasLoot_TableNames["AuchSethekkDarkweaver"] = "暗法師希斯";
    AtlasLoot_TableNames["AuchSethekkDarkweaverHEROIC"] = "暗法師希斯  (英雄)";
    AtlasLoot_TableNames["AuchSethekkTalonKing"] = "鷹王伊奇斯";
    AtlasLoot_TableNames["AuchSethekkTalonKingHEROIC"] = "鷹王伊奇斯 (英雄)";
    AtlasLoot_TableNames["AuchSethekkRavenGod"] = "安祖";
    --Auch: Shadow Labyrinth
    AtlasLoot_TableNames["AuchShadowHellmaw"] = "海爾瑪大使";
    AtlasLoot_TableNames["AuchShadowHellmawHEROIC"] = "海爾瑪大使 (英雄)";
    AtlasLoot_TableNames["AuchShadowBlackheart"] = "激勵者布萊克哈特";
    AtlasLoot_TableNames["AuchShadowBlackheartHEROIC"] = "激勵者布萊克哈特 (英雄)";
    AtlasLoot_TableNames["AuchShadowGrandmaster"] = "領導者瓦皮歐";
    AtlasLoot_TableNames["AuchShadowGrandmasterHEROIC"] = "領導者瓦皮歐 (英雄)";
    AtlasLoot_TableNames["AuchShadowMurmur"] = "莫爾墨";
    AtlasLoot_TableNames["AuchShadowMurmurHEROIC"] = "莫爾墨 (英雄)";
    --Blackfathom Deeps
    AtlasLoot_TableNames["BFDGhamoora"] = "加摩拉";
    AtlasLoot_TableNames["BFDLadySarevess"] = "薩利維絲";
    AtlasLoot_TableNames["BFDGelihast"] = "格里哈斯特";
    AtlasLoot_TableNames["BFDBaronAquanis"] = "阿奎尼斯男爵";
    AtlasLoot_TableNames["BFDTwilightLordKelris"] = "夢遊者克爾里斯";
    AtlasLoot_TableNames["BFDOldSerrakis"] = "瑟拉吉斯";
    AtlasLoot_TableNames["BFDAkumai"] = "阿庫麥爾";
    AtlasLoot_TableNames["BFDTrash"] = "小怪 (黑暗深淵)";
    --Blackrock Depths
    AtlasLoot_TableNames["BRDLordRoccor"] = "洛考爾";
    AtlasLoot_TableNames["BRDHighInterrogatorGerstahn"] = "審訊官格斯塔恩";
    AtlasLoot_TableNames["BRDArena"] = "競技場";
    AtlasLoot_TableNames["BRDTheldren"] = "瑟爾倫";
    AtlasLoot_TableNames["BRDHoundmaster"] = "馴犬者格雷布瑪爾";
    AtlasLoot_TableNames["BRDPyromantLoregrain"] = "控火師羅格雷恩";
    AtlasLoot_TableNames["BRDWarderStilgiss"] = "寶窟";
    AtlasLoot_TableNames["BRDFineousDarkvire"] = "弗諾斯·達克維爾";
    AtlasLoot_TableNames["BRDLordIncendius"] = "伊森迪奧斯";
    AtlasLoot_TableNames["BRDBaelGar"] = "貝爾加";
    AtlasLoot_TableNames["BRDGeneralAngerforge"] = "安格弗將軍";
    AtlasLoot_TableNames["BRDGolemLordArgelmach"] = "傀儡統帥阿格曼奇";
    AtlasLoot_TableNames["BRDGuzzler"] = "黑鐵酒吧";
    AtlasLoot_TableNames["BRDFlamelash"] = "弗萊拉斯大使";
    AtlasLoot_TableNames["BRDPanzor"] = "無敵的潘佐爾";
    AtlasLoot_TableNames["BRDTomb"] = "召喚者之墓";
    AtlasLoot_TableNames["BRDMagmus"] = "瑪格姆斯";
    AtlasLoot_TableNames["BRDImperatorDagranThaurissan"] = "達格蘭·索瑞森大帝";
    AtlasLoot_TableNames["BRDPrincess"] = "茉艾拉·銅鬚公主";
    AtlasLoot_TableNames["BRDTrash"] = "小怪 (黑石深淵)";
    --Lower Blackrock Spire
    AtlasLoot_TableNames["LBRSOmokk"] = "歐莫克大王";
    AtlasLoot_TableNames["LBRSSpirestoneLord"] = "尖石統帥";
    AtlasLoot_TableNames["LBRSVosh"] = "暗影獵手沃許加斯";
    AtlasLoot_TableNames["LBRSVoone"] = "指揮官沃恩";
    AtlasLoot_TableNames["LBRSGrayhoof"] = "莫爾·灰蹄";
    AtlasLoot_TableNames["LBRSSmolderweb"] = "煙網蛛后";
    AtlasLoot_TableNames["LBRSCrystalFang"] = "水晶之牙";
    AtlasLoot_TableNames["LBRSDoomhowl"] = "烏洛克";
    AtlasLoot_TableNames["LBRSZigris"] = "軍需官茲格雷斯";
    AtlasLoot_TableNames["LBRSSlavener"] = "奴役者基茲盧爾";
    AtlasLoot_TableNames["LBRSHalycon"] = "哈雷肯";
    AtlasLoot_TableNames["LBRSWyrmthalak"] = "維姆薩拉克";
    AtlasLoot_TableNames["LBRSGrimaxe"] = "班諾克·巨斧";
    AtlasLoot_TableNames["LBRSSpirestoneButcher"] = "尖石屠夫";
    AtlasLoot_TableNames["LBRSTrash"] = "小怪 (黑下)";
    --Upper Blackrock Spire
    AtlasLoot_TableNames["UBRSEmberseer"] = "烈焰衛士艾博希爾";
    AtlasLoot_TableNames["UBRSSolakar"] = "索拉卡·火冠";
    AtlasLoot_TableNames["UBRSFLAME"] = "烈焰之父";
    AtlasLoot_TableNames["UBRSRunewatcher"] = "傑德";
    AtlasLoot_TableNames["UBRSAnvilcrack"] = "古拉魯克";
    AtlasLoot_TableNames["UBRSRend"] = "大酋長雷德·黑手";
    AtlasLoot_TableNames["UBRSGyth"] = "蓋斯";
    AtlasLoot_TableNames["UBRSBeast"] = "比斯巨獸";
    AtlasLoot_TableNames["UBRSValthalak"] = "瓦薩拉克";
    AtlasLoot_TableNames["UBRSDrakkisath"] = "達基薩斯將軍";
    AtlasLoot_TableNames["UBRSTrash"] = "小怪 (黑上)";
    --The Black Temple
    AtlasLoot_TableNames["BTNajentus"] = "高階督軍納珍塔斯";
    AtlasLoot_TableNames["BTSupremus"] = "瑟普莫斯";
    AtlasLoot_TableNames["BTGorefiend"] = "泰朗·血魔";
    AtlasLoot_TableNames["BTBloodboil"] = "葛塔格·血沸";
    AtlasLoot_TableNames["BTAkama"] = "阿卡瑪的鬼魂";
    AtlasLoot_TableNames["BTEssencofSouls"] = "死靈精華";
    AtlasLoot_TableNames["BTShahraz"] = "薩拉茲女士";
    AtlasLoot_TableNames["BTCouncil"] = "伊利達瑞議事";
    AtlasLoot_TableNames["BTIllidanStormrage"] = "伊利丹怒風";
    AtlasLoot_TableNames["BTTrash"] = "小怪 (黑暗神廟)";
    --Blackwing Lair
    AtlasLoot_TableNames["BWLRazorgore"] = "狂野的拉佐格爾";
    AtlasLoot_TableNames["BWLVaelastrasz"] = "墮落的瓦拉斯塔茲";
    AtlasLoot_TableNames["BWLLashlayer"] = "勒西雷爾";
    AtlasLoot_TableNames["BWLFiremaw"] = "費爾默";
    AtlasLoot_TableNames["BWLEbonroc"] = "埃博諾克";
    AtlasLoot_TableNames["BWLFlamegor"] = "弗萊格爾";
    AtlasLoot_TableNames["BWLChromaggus"] = "克洛瑪古斯";
    AtlasLoot_TableNames["BWLNefarian"] = "奈法利安";
    AtlasLoot_TableNames["BWLTrashMobs"] = "小怪 (黑翼)";
    --CFR: Slave Pens
    AtlasLoot_TableNames["CFRSlaveMennu"] = "背叛者曼紐";
    AtlasLoot_TableNames["CFRSlaveMennuHEROIC"] = "背叛者曼紐 (英雄)";
    AtlasLoot_TableNames["CFRSlaveRokmar"] = "爆破者洛克瑪";
    AtlasLoot_TableNames["CFRSlaveRokmarHEROIC"] = "爆破者洛克瑪 (英雄)";
    AtlasLoot_TableNames["CFRSlaveQuagmirran"] = "奎克米瑞";
    AtlasLoot_TableNames["CFRSlaveQuagmirranHEROIC"] = "奎克米瑞 (英雄)";
    --CFR: The Steamvault
    AtlasLoot_TableNames["CFRSteamThespia"] = "海法師希斯比亞";
    AtlasLoot_TableNames["CFRSteamThespiaHEROIC"] = "海法師希斯比亞 (英雄)";
    AtlasLoot_TableNames["CFRSteamSteamrigger"] = "米克吉勒·蒸氣操控者";
    AtlasLoot_TableNames["CFRSteamSteamriggerHEROIC"] = "米克吉勒·蒸氣操控者 (英雄)";
    AtlasLoot_TableNames["CFRSteamWarlord"] = "督軍卡利斯瑞";
    AtlasLoot_TableNames["CFRSteamWarlordHEROIC"] = "督軍卡利斯瑞 (英雄)";
    AtlasLoot_TableNames["CFRSteamTrash"] = "小怪 (蒸汽洞窟)";
    --CFR: The Underbog
    AtlasLoot_TableNames["CFRUnderHungarfen"] = "飢餓之牙";
    AtlasLoot_TableNames["CFRUnderHungarfenHEROIC"] = "飢餓之牙 (英雄)";
    AtlasLoot_TableNames["CFRUnderGhazan"] = "高薩安";
    AtlasLoot_TableNames["CFRUnderGhazanHEROIC"] = "高薩安 (英雄)";
    AtlasLoot_TableNames["CFRUnderSwamplord"] = "沼澤王莫斯萊克";
    AtlasLoot_TableNames["CFRUnderSwamplordHEROIC"] = "沼澤王莫斯萊克 (英雄)";
    AtlasLoot_TableNames["CFRUnderStalker"] = "黑色捕獵者";
    AtlasLoot_TableNames["CFRUnderStalkerHEROIC"] = "黑色捕獵者 (英雄)";
    --CFR: Serpentshrine Cavern
    AtlasLoot_TableNames["CFRSerpentHydross"] = "不穩定者海卓司";
    AtlasLoot_TableNames["CFRSerpentKarathress"] = "深淵之王卡拉薩瑞斯";
    AtlasLoot_TableNames["CFRSerpentMorogrim"] = "莫洛葛利姆·潮行者";
    AtlasLoot_TableNames["CFRSerpentLeotheras"] = "盲目者李奧薩拉斯";
    AtlasLoot_TableNames["CFRSerpentLurker"] = "地底潛伏者";
    AtlasLoot_TableNames["CFRSerpentVashj"] = "瓦許女士";
    AtlasLoot_TableNames["CFRSerpentTrash"] = "小怪 (毒蛇神殿洞穴)";
    --CoT: Old Hillsbrad
    AtlasLoot_TableNames["CoTHillsbradDrake"] = "中尉崔克";
    AtlasLoot_TableNames["CoTHillsbradDrakeHEROIC"] = "中尉崔克 (英雄)";
    AtlasLoot_TableNames["CoTHillsbradSkarloc"] = "史卡拉克上尉";
    AtlasLoot_TableNames["CoTHillsbradSkarlocHEROIC"] = "史卡拉克上尉 (英雄)";
    AtlasLoot_TableNames["CoTHillsbradHunter"] = "伊波奇獵人";
    AtlasLoot_TableNames["CoTHillsbradHunterHEROIC"] = "伊波奇獵人 (英雄)";
    AtlasLoot_TableNames["CoTHillsbradTrash"] = "小怪 (時光之穴:希爾斯布萊德 )";
    --CoT: Black Morass
    AtlasLoot_TableNames["CoTMorassDeja"] = "克洛諾斯領主迪賈";
    AtlasLoot_TableNames["CoTMorassDejaHEROIC"] = "克洛諾斯領主迪賈 (英雄)";
    AtlasLoot_TableNames["CoTMorassTemporus"] = "坦普拉斯";
    AtlasLoot_TableNames["CoTMorassTemporusHEROIC"] = "坦普拉斯 (英雄)";
    AtlasLoot_TableNames["CoTMorassAeonus"] = "艾奧那斯";
    AtlasLoot_TableNames["CoTMorassAeonusHEROIC"] = "艾奧那斯 (英雄)";
    AtlasLoot_TableNames["CoTMorassTrash"] = "小怪 (時光之穴:黑色沼澤)";
    --CoT: Mount Hyjal
    AtlasLoot_TableNames["MountHyjalWinterchill"] = "瑞奇·寒冬";
    AtlasLoot_TableNames["MountHyjalAnetheron"] = "安納斯隆";
    AtlasLoot_TableNames["MountHyjalKazrogal"] = "卡斯羅高";
    AtlasLoot_TableNames["MountHyjalAzgalor"] = "阿斯卡勒";
    AtlasLoot_TableNames["MountHyjalArchimonde"] = "阿克蒙德";
    --The Deadmines
    AtlasLoot_TableNames["VCRhahkZor"] = "拉克佐";
    AtlasLoot_TableNames["VCMinerJohnson"] = "礦工約翰森";
    AtlasLoot_TableNames["VCSneed"] = "斯尼德";
    AtlasLoot_TableNames["VCGilnid"] = "基爾尼格";
    AtlasLoot_TableNames["VCCaptainGreenskin"] = "綠皮隊長";
    AtlasLoot_TableNames["VCVanCleef"] = "艾德溫·范克里夫";
    AtlasLoot_TableNames["VCMrSmite"] = "重拳先生";
    AtlasLoot_TableNames["VCCookie"] = "曲奇";
    --Dire Maul East
    AtlasLoot_TableNames["DMEPusillin"] = "普希林";
    AtlasLoot_TableNames["DMEZevrimThornhoof"] = "瑟雷姆·刺蹄";
    AtlasLoot_TableNames["DMEHydro"] = "海多斯博恩";
    AtlasLoot_TableNames["DMELethtendris"] = "蕾瑟塔蒂絲";
    AtlasLoot_TableNames["DMEAlzzin"] = "奧茲恩";
    AtlasLoot_TableNames["DMEIsalien"] = "依薩利恩";
    AtlasLoot_TableNames["DMETrash"] = "小怪 (東厄運)";
    AtlasLoot_TableNames["DMBooks"] = "厄運書籍";
    --Dire Maul North
    AtlasLoot_TableNames["DMNGuardMoldar"] = "衛兵摩爾達";
    AtlasLoot_TableNames["DMNStomperKreeg"] = "踐踏者克雷格";
    AtlasLoot_TableNames["DMNGuardFengus"] = "衛兵芬古斯";
    AtlasLoot_TableNames["DMNThimblejack"] = "諾特·希姆加克";
    AtlasLoot_TableNames["DMNGuardSlipkik"] = "衛兵斯里基克";
    AtlasLoot_TableNames["DMNCaptainKromcrush"] = "克羅卡斯";
    AtlasLoot_TableNames["DMNKingGordok"] = "戈多克大王";
    AtlasLoot_TableNames["DMNTRIBUTERUN"] = "北厄貢品箱";
    --Dire Maul West
    AtlasLoot_TableNames["DMWTendrisWarpwood"] = "特迪斯·扭木";
    AtlasLoot_TableNames["DMWIllyannaRavenoak"] = "伊琳娜·暗木";
    AtlasLoot_TableNames["DMWMagisterKalendris"] = "卡雷迪斯鎮長";
    AtlasLoot_TableNames["DMWTsuzee"] = "蘇斯";
    AtlasLoot_TableNames["DMWImmolthar"] = "伊莫塔爾";
    AtlasLoot_TableNames["DMWHelnurath"] = "赫爾努拉斯";
    AtlasLoot_TableNames["DMWPrinceTortheldrin"] = "托塞德林王子";
    AtlasLoot_TableNames["DMWTrash"] = "小怪 (西厄運)";
    --Gnomeregan
    AtlasLoot_TableNames["GnViscousFallout"] = "粘性輻射塵";
    AtlasLoot_TableNames["GnGrubbis"] = "格魯比斯";
    AtlasLoot_TableNames["GnElectrocutioner6000"] = "電刑器6000型";
    AtlasLoot_TableNames["GnMekgineerThermaplugg"] = "麥克尼爾·瑟瑪普拉格";
    AtlasLoot_TableNames["GnDIAmbassador"] = "黑鐵大師";
    AtlasLoot_TableNames["GnCrowdPummeler960"] = "群體打擊者9-60";
    AtlasLoot_TableNames["GnTrash"] = "小怪 (諾姆瑞根)";
    --Gruul's Lair
    AtlasLoot_TableNames["GruulsLairHighKingMaulgar"] = "大君王莫卡爾";
    AtlasLoot_TableNames["GruulGruul"] = "弒龍者戈魯爾";
    --HC: Blood Furnace
    AtlasLoot_TableNames["HCFurnaceMaker"] = "創造者";
    AtlasLoot_TableNames["HCFurnaceMakerHEROIC"] = "創造者 (英雄)";
    AtlasLoot_TableNames["HCFurnaceBroggok"] = "布洛克";
    AtlasLoot_TableNames["HCFurnaceBroggokHEROIC"] = "布洛克 (英雄)";
    AtlasLoot_TableNames["HCFurnaceBreaker"] = "破壞者·凱利丹";
    AtlasLoot_TableNames["HCFurnaceBreakerHEROIC"] = "破壞者·凱利丹 (英雄)";
    --HC: Magtheridon's Lair
    AtlasLoot_TableNames["HCMagtheridon"] = "麥格賽立頓";
    --HC: Ramparts
    AtlasLoot_TableNames["HCRampWatchkeeper"] = "看護者卡爾古瑪";
    AtlasLoot_TableNames["HCRampWatchkeeperHEROIC"] = "看護者卡爾古瑪 (英雄)";
    AtlasLoot_TableNames["HCRampOmor"] = "無疤者歐瑪爾";
    AtlasLoot_TableNames["HCRampOmorHEROIC"] = "無疤者歐瑪爾 (英雄)";
    AtlasLoot_TableNames["HCRampVazruden"] = "維斯路登";
    AtlasLoot_TableNames["HCRampNazan"] = "納桑";
    AtlasLoot_TableNames["HCRampFelIronChest"] = "強化惡魔鐵箱";
    AtlasLoot_TableNames["HCRampFelIronChestHEROIC"] = "強化惡魔鐵箱 (英雄)";
    --HC: Shattered Halls
    AtlasLoot_TableNames["HCHallsNethekurse"] = "大術士·奈德克斯";
    AtlasLoot_TableNames["HCHallsNethekurseHEROIC"] = "大術士·奈德克斯 (英雄)";
    AtlasLoot_TableNames["HCHallsOmrogg"] = "戰爭製造者·歐姆拉格";
    AtlasLoot_TableNames["HCHallsOmroggHEROIC"] = "戰爭製造者·歐姆拉格 (英雄)";
    AtlasLoot_TableNames["HCHallsKargath"] = "大酋長卡喀斯·刃拳";
    AtlasLoot_TableNames["HCHallsKargathHEROIC"] = "大酋長卡喀斯·刃拳 (英雄)";
    AtlasLoot_TableNames["HCHallsTrash"] = "小怪 (地域火:破碎大廳)";
    --Karazhan
    AtlasLoot_TableNames["KaraAttumen"] = "獵人阿圖曼";
    AtlasLoot_TableNames["KaraNamed"] = "動物之王";
    AtlasLoot_TableNames["KaraMoroes"] = "摩洛";
    AtlasLoot_TableNames["KaraMaiden"] = "虛幻魔女";
    AtlasLoot_TableNames["KaraOperaEvent"] = "歌劇事件";
    AtlasLoot_TableNames["KaraCurator"] = "監護者";
    AtlasLoot_TableNames["KaraIllhoof"] = "泰瑞斯提安·疫蹄";
    AtlasLoot_TableNames["KaraAran"] = "艾蘭之影";
    AtlasLoot_TableNames["KaraNetherspite"] = "尼德斯";
    AtlasLoot_TableNames["KaraNightbane"] = "夜禍";
    AtlasLoot_TableNames["KaraChess"] = "西洋棋事件";
    AtlasLoot_TableNames["KaraPrince"] = "瑪克薩王子";
    AtlasLoot_TableNames["KaraTrash"] = "小怪 (卡拉贊)";
    --Maraudon
    AtlasLoot_TableNames["MaraNoxxion"] = "諾克賽恩";
    AtlasLoot_TableNames["MaraRazorlash"] = "銳刺鞭笞者";
    AtlasLoot_TableNames["MaraLordVyletongue"] = "維利塔恩";
    AtlasLoot_TableNames["MaraMeshlok"] = "收割者麥什洛克";
    AtlasLoot_TableNames["MaraCelebras"] = "被詛咒的塞雷布拉斯";
    AtlasLoot_TableNames["MaraLandslide"] = "蘭斯利德";
    AtlasLoot_TableNames["MaraTinkererGizlock"] = "工匠吉茲洛克";
    AtlasLoot_TableNames["MaraRotgrip"] = "洛特格里普";
    AtlasLoot_TableNames["MaraPrincessTheradras"] = "瑟萊德絲公主";
    --Molten Core
    AtlasLoot_TableNames["MCLucifron"] = "魯西弗隆";
    AtlasLoot_TableNames["MCMagmadar"] = "瑪格曼達";
    AtlasLoot_TableNames["MCGehennas"] = "基赫納斯";
    AtlasLoot_TableNames["MCGarr"] = "加爾";
    AtlasLoot_TableNames["MCShazzrah"] = "沙斯拉爾";
    AtlasLoot_TableNames["MCGeddon"] = "迦頓男爵";
    AtlasLoot_TableNames["MCGolemagg"] = "焚化者古雷曼格";
    AtlasLoot_TableNames["MCSulfuron"] = "薩弗隆先驅者";
    AtlasLoot_TableNames["MCMajordomo"] = "管理者埃克索圖斯";
    AtlasLoot_TableNames["MCRagnaros"] = "拉格納羅斯";
    AtlasLoot_TableNames["MCTrashMobs"] = "小怪";
    AtlasLoot_TableNames["MCRANDOMBOSSDROPPS"] = "首領隨機掉落";
    --Naxxramas
    AtlasLoot_TableNames["NAXPatchwerk"] = "縫補者";
    AtlasLoot_TableNames["NAXGrobbulus"] = "葛羅巴斯";
    AtlasLoot_TableNames["NAXGluth"] = "古魯斯";
    AtlasLoot_TableNames["NAXThaddius"] = "泰迪斯";
    AtlasLoot_TableNames["NAXAnubRekhan"] = "阿努比瑞克漢";
    AtlasLoot_TableNames["NAXGrandWidowFaerlina"] = "大寡婦費琳娜";
    AtlasLoot_TableNames["NAXMaexxna"] = "梅克絲娜";
    AtlasLoot_TableNames["NAXInstructorRazuvious"] = "講師拉祖維斯";
    AtlasLoot_TableNames["NAXGothikderHarvester"] = "收割者高希";
    AtlasLoot_TableNames["NAXTheFourHorsemen"] = "四騎士";
    AtlasLoot_TableNames["NAXNothderPlaguebringer"] = "瘟疫者諾斯";
    AtlasLoot_TableNames["NAXHeiganderUnclean"] = "骯髒者海根";
    AtlasLoot_TableNames["NAXLoatheb"] = "洛斯伯";
    AtlasLoot_TableNames["NAXSapphiron"] = "薩菲隆";
    AtlasLoot_TableNames["NAXKelThuzard"] = "科爾蘇加德";
    AtlasLoot_TableNames["NAXTrash"] = "小怪 (納克薩瑪斯)";
    --Onyxia's Lair
    AtlasLoot_TableNames["Onyxia"] = "奧妮克希亞";
    --Ragefire Chasm
    AtlasLoot_TableNames["RFCTaragaman"] = "饑餓者塔拉加曼";
    AtlasLoot_TableNames["RFCJergosh"] = "祈求者耶戈什";
    --Razorfen Downs
    AtlasLoot_TableNames["RFDTutenkash"] = "圖特卡什";
    AtlasLoot_TableNames["RFDMordreshFireEye"] = "火眼莫德雷斯";
    AtlasLoot_TableNames["RFDGlutton"] = "暴食者";
    AtlasLoot_TableNames["RFDRagglesnout"] = "拉戈斯諾特";
    AtlasLoot_TableNames["RFDAmnennar"] = "寒冰之王亞門納爾";
    AtlasLoot_TableNames["RFDTrash"] = "小怪 (RFD)";
    --Razorfen Kraul
    AtlasLoot_TableNames["RFKDeathSpeakerJargba"] = "亡語者賈格巴";
    AtlasLoot_TableNames["RFKOverlordRamtusk"] = "主宰拉姆塔斯";
    AtlasLoot_TableNames["RFKAgathelos"] = "暴怒的阿迦賽羅斯";
    AtlasLoot_TableNames["RFKBlindHunter"] = "盲眼獵手";
    AtlasLoot_TableNames["RFKCharlgaRazorflank"] = "卡爾加·刺肋";
    AtlasLoot_TableNames["RFKEarthcallerHalmgar"] = "喚地者哈穆加";
    AtlasLoot_TableNames["RFKTrash"] = "小怪 (RFK)";
    --The Ruins of Ahn'Qiraj
    AtlasLoot_TableNames["AQ20Kurinnaxx"] = "庫林納克斯";
    AtlasLoot_TableNames["AQ20Andorov"] = "安多洛夫中將";
    AtlasLoot_TableNames["AQ20CAPTIAN"] = "拉賈克斯的上尉們";
    AtlasLoot_TableNames["AQ20Rajaxx"] = "拉賈克斯將軍";
    AtlasLoot_TableNames["AQ20Moam"] = "莫阿姆";
    AtlasLoot_TableNames["AQ20Buru"] = "吞咽者布魯";
    AtlasLoot_TableNames["AQ20Ayamiss"] = "狩獵者阿亞米斯";
    AtlasLoot_TableNames["AQ20Ossirian"] = "無疤者奧斯里安";
    AtlasLoot_TableNames["AQ20ClassBooks"] =  "AQ 職業書籍";
    AtlasLoot_TableNames["AQEnchants"] = "AQ 公式";
    --Scarlet Monestery
    AtlasLoot_TableNames["SMHoundmasterLoksey"] = "馴犬者洛克希";
    AtlasLoot_TableNames["SMDoan"] = "祕法師杜安";
    AtlasLoot_TableNames["SMHerod"] = "赫洛德";
    AtlasLoot_TableNames["SMFairbanks"] = "大檢察官法爾班克斯";
    AtlasLoot_TableNames["SMMograine"] = "血色十字軍指揮官莫格萊尼";
    AtlasLoot_TableNames["SMWhitemane"] = "大檢察官懷特邁恩";
    AtlasLoot_TableNames["SMIronspine"] = "鐵脊死靈";
    AtlasLoot_TableNames["SMAzshir"] = "永醒的艾希爾";
    AtlasLoot_TableNames["SMFallenChampion"] = "死靈勇士";
    AtlasLoot_TableNames["SMBloodmageThalnos"] = "血法師薩爾諾斯";
    AtlasLoot_TableNames["SMTrash"] = "小怪 (SM)";
    --Scholomance
    AtlasLoot_TableNames["SCHOLOKirtonostheHerald"] = "傳令官基爾圖諾斯";
    AtlasLoot_TableNames["SCHOLOJandiceBarov"] = "詹迪斯·巴羅夫";
    AtlasLoot_TableNames["SCHOLORattlegore"] = "血骨傀儡";
    AtlasLoot_TableNames["SCHOLODeathKnight"] = "死亡騎士達克雷爾";
    AtlasLoot_TableNames["SCHOLOMarduk"] = "馬杜克·布萊克波爾";
    AtlasLoot_TableNames["SCHOLOVectus"] = "維克圖斯";
    AtlasLoot_TableNames["SCHOLORasFrostwhisper"] = "萊斯·霜語";
    AtlasLoot_TableNames["SCHOLOKormok"] = "科爾莫克 (召喚)";
    AtlasLoot_TableNames["SCHOLOInstructorMalicia"] = "講師瑪麗希亞";
    AtlasLoot_TableNames["SCHOLODoctorTheolenKrastinov"] = "講師瑪麗希亞";
    AtlasLoot_TableNames["SCHOLOLorekeeperPolkelt"] = "博學者普克爾特";
    AtlasLoot_TableNames["SCHOLOTheRavenian"] = "拉文尼亞";
    AtlasLoot_TableNames["SCHOLOLordAlexeiBarov"] = "阿萊克斯·巴羅夫";
    AtlasLoot_TableNames["SCHOLOLadyIlluciaBarov"] = "伊露希亞·巴羅夫";
    AtlasLoot_TableNames["SCHOLODarkmasterGandling"] = "黑暗院長加丁";
    AtlasLoot_TableNames["SCHOLOTrash"] = "小怪 (通靈)";
    --Shadowfang Keep
    AtlasLoot_TableNames["BSFRazorclawtheButcher"] = "屠夫拉佐克勞";
    AtlasLoot_TableNames["BSFSilverlaine"] = "席瓦萊恩男爵";
    AtlasLoot_TableNames["BSFSpringvale"] = "指揮官斯普林瓦爾";
    AtlasLoot_TableNames["BSFOdotheBlindwatcher"] = "盲眼守衛奧杜";
    AtlasLoot_TableNames["BSFFenrustheDevourer"] = "吞噬者芬魯斯";
    AtlasLoot_TableNames["BSFWolfMasterNandos"] = "狼王南杜斯";
    AtlasLoot_TableNames["BSFArchmageArugal"] = "大法師阿魯高";
    AtlasLoot_TableNames["BSFTrash"] = "小怪 (SFK)";
    --The Stockade
    AtlasLoot_TableNames["SWStKamDeepfury"] = "卡姆·深怒";
    AtlasLoot_TableNames["SWStBruegalIronknuckle"] = "布魯戈·艾爾克納寇";
    --Stratholme
    AtlasLoot_TableNames["STRATSkull"] = "斯庫爾";
    AtlasLoot_TableNames["STRATStratholmeCourier"] = "郵箱鑰匙";
    AtlasLoot_TableNames["STRATFrasSiabi"] = "弗拉斯·希亞比";
    AtlasLoot_TableNames["STRATHearthsingerForresten"] = "弗雷斯特恩";
    AtlasLoot_TableNames["STRATTheUnforgiven"] = "不可寬恕者";
    AtlasLoot_TableNames["STRATTimmytheCruel"] = "悲慘的提米";
    AtlasLoot_TableNames["STRATCannonMasterWilley"] = "炮手威利";
    AtlasLoot_TableNames["STRATArchivistGalford"] = "檔案管理員加爾福特";
    AtlasLoot_TableNames["STRATBalnazzar"] = "巴納札爾";
    AtlasLoot_TableNames["STRATSothosJarien"] = "索索斯及賈林";
    AtlasLoot_TableNames["STRATStonespine"] = "石脊";
    AtlasLoot_TableNames["STRATBaronessAnastari"] = "安娜絲塔麗男爵夫人";
    AtlasLoot_TableNames["STRATNerubenkan"] = "奈魯布恩坎";
    AtlasLoot_TableNames["STRATMalekithePallid"] = "蒼白的瑪勒基";
    AtlasLoot_TableNames["STRATMagistrateBarthilas"] = "巴瑟拉斯鎮長";
    AtlasLoot_TableNames["STRATRamsteintheGorger"] = "吞嚥者拉姆斯登";
    AtlasLoot_TableNames["STRATBaronRivendare"] = "瑞文戴爾男爵";
    AtlasLoot_TableNames["STRATTrash"] = "小怪 (斯坦)";
    --Sunken Temple
    AtlasLoot_TableNames["STTrollMinibosses"] = "食人妖小首領";
    AtlasLoot_TableNames["STAtalalarion"] = "阿塔拉利恩";
    AtlasLoot_TableNames["STDreamscythe"] = "德姆塞卡爾";
    AtlasLoot_TableNames["STWeaver"] = "德拉維沃爾";
    AtlasLoot_TableNames["STAvatarofHakkar"] = "哈卡的化身";
    AtlasLoot_TableNames["STJammalan"] = "預言者迦瑪蘭";
    AtlasLoot_TableNames["STOgom"] = "可悲的奧戈姆";
    AtlasLoot_TableNames["STMorphaz"] = "摩弗拉斯";
    AtlasLoot_TableNames["STHazzas"] = "哈札斯";
    AtlasLoot_TableNames["STEranikus"] = "伊蘭尼庫斯的陰影";
    AtlasLoot_TableNames["STTrash"] = "小怪 (ST)";
    --Temple of Ahn'Qiraj
    AtlasLoot_TableNames["AQ40Skeram"] = "預言者斯克拉姆";
    AtlasLoot_TableNames["AQ40Vem"] = "蟲族";
    AtlasLoot_TableNames["AQ40Sartura"] = "沙爾圖拉";
    AtlasLoot_TableNames["AQ40Fankriss"] = "頑強的范克里斯";
    AtlasLoot_TableNames["AQ40Viscidus"] = "維希度斯";
    AtlasLoot_TableNames["AQ40Huhuran"] = "哈霍蘭公主";
    AtlasLoot_TableNames["AQ40Emperors"] = "雙子帝王";
    AtlasLoot_TableNames["AQ40Ouro"] = "奧羅";
    AtlasLoot_TableNames["AQ40CThun"] = "克蘇恩";
    AtlasLoot_TableNames["AQ40Trash"] = "小怪 (AQ40)";
    AtlasLoot_TableNames["AQOpening"] = "安其拉開門系列任務";
    --TK: The Arcatraz
    AtlasLoot_TableNames["TKArcUnbound"] = "無約束的希瑞奇斯";
    AtlasLoot_TableNames["TKArcUnboundHEROIC"] = "無約束的希瑞奇斯 (英雄)";
    AtlasLoot_TableNames["TKArcScryer"] = "怒鐮者索扣斯瑞特";
    AtlasLoot_TableNames["TKArcScryerHEROIC"] = "怒鐮者索扣斯瑞特 (英雄)";
    AtlasLoot_TableNames["TKArcDalliah"] = "末日預言者達利亞";
    AtlasLoot_TableNames["TKArcDalliahHEROIC"] = "末日預言者達利亞 (英雄)";
    AtlasLoot_TableNames["TKArcHarbinger"] = "先驅者史蓋力司";
    AtlasLoot_TableNames["TKArcHarbingerHEROIC"] = "先驅者史蓋力司 (英雄)";
    AtlasLoot_TableNames["TKArcTrash"] = "小怪 (風暴:亞克崔茲)";
    --TK: The Botanica
    AtlasLoot_TableNames["TKBotSarannis"] = "指揮官薩瑞尼斯";
    AtlasLoot_TableNames["TKBotSarannisHEROIC"] = "指揮官薩瑞尼斯 (英雄)";
    AtlasLoot_TableNames["TKBotFreywinn"] = "大植物學家費瑞衛恩";
    AtlasLoot_TableNames["TKBotFreywinnHEROIC"] = "大植物學家費瑞衛恩 (英雄)";
    AtlasLoot_TableNames["TKBotThorngrin"] = "看管者索古林";
    AtlasLoot_TableNames["TKBotThorngrinHEROIC"] = "看管者索古林 (英雄)";
    AtlasLoot_TableNames["TKBotLaj"] = "拉杰";
    AtlasLoot_TableNames["TKBotLajHEROIC"] = "拉杰 (英雄)";
    AtlasLoot_TableNames["TKBotSplinter"] = "扭曲分裂者";
    AtlasLoot_TableNames["TKBotSplinterHEROIC"] = "扭曲分裂者 (英雄)";
    AtlasLoot_TableNames["TKBotTrash"] = "小怪 (風暴:波塔尼卡)";
    --TK: The Eye
    AtlasLoot_TableNames["TKEyeAlar"] = "歐爾";
    AtlasLoot_TableNames["TKEyeVoidReaver"] = "虛空劫掠者";
    AtlasLoot_TableNames["TKEyeSolarian"] = "索拉瑞恩";
    AtlasLoot_TableNames["TKEyeKaelthas"] = "凱爾薩斯";
    AtlasLoot_TableNames["TKEyeTrash"] = "小怪 (風暴:暴風之眼)";
    --TK: The Mechanar
    AtlasLoot_TableNames["TKMechGyro"] = "看守者蓋洛奇歐";
    AtlasLoot_TableNames["TKMechGyroHEROIC"] = "看守者蓋洛奇歐 (英雄)";
    AtlasLoot_TableNames["TKMechIron"] = "看守者鐵手";
    AtlasLoot_TableNames["TKMechIronHEROIC"] = "看守者鐵手 (英雄)";
    AtlasLoot_TableNames["TKMechCacheoftheLegion"] = "軍團儲藏處";
    AtlasLoot_TableNames["TKMechCapacitus"] = "機械王卡帕希特斯";
    AtlasLoot_TableNames["TKMechCapacitusHEROIC"] = "機械王卡帕希特斯 (英雄)";
    AtlasLoot_TableNames["TKMechSepethrea"] = "虛空術師賽派斯瑞";
    AtlasLoot_TableNames["TKMechSepethreaHEROIC"] = "虛空術師賽派斯瑞 (英雄)";
    AtlasLoot_TableNames["TKMechCalc"] = "計算者帕薩里歐";
    AtlasLoot_TableNames["TKMechCalcHEROIC"] = "計算者帕薩里歐 (英雄)";
    AtlasLoot_TableNames["TKMechTrash"] = "小怪 (風暴:麥克那爾)";
    --Uldaman
    AtlasLoot_TableNames["UldRevelosh"] = "魯維羅什";
    AtlasLoot_TableNames["UldIronaya"] = "艾隆納亞";
    AtlasLoot_TableNames["UldAncientStoneKeeper"] = "古代的石頭看守者";
    AtlasLoot_TableNames["UldGalgannFirehammer"] = "加加恩·火錘";
    AtlasLoot_TableNames["UldGrimlok"] = "格瑞姆洛克";
    AtlasLoot_TableNames["UldArchaedas"] = "阿札達斯";
    AtlasLoot_TableNames["UldTrash"] = "小怪 (奧達曼)";
    --Wailing Caverns
    AtlasLoot_TableNames["WCLordCobrahn"] = "考布萊恩";
    AtlasLoot_TableNames["WCLadyAnacondra"] = "安娜科德拉";
    AtlasLoot_TableNames["WCKresh"] = "克雷什";
    AtlasLoot_TableNames["WCLordPythas"] = "皮薩斯";
    AtlasLoot_TableNames["WCSkum"] = "斯卡姆";
    AtlasLoot_TableNames["WCLordSerpentis"] = "瑟芬迪斯";
    AtlasLoot_TableNames["WCVerdan"] = "永生者沃爾丹";
    AtlasLoot_TableNames["WCMutanus"] = "吞噬者穆坦努斯";
    AtlasLoot_TableNames["WCDeviateFaerieDragon"] = "變異精靈龍";
    --Zul'Farrak
    AtlasLoot_TableNames["ZFAntusul"] = "安圖蘇爾";
    AtlasLoot_TableNames["ZFWitchDoctorZumrah"] = "巫醫祖穆拉恩";
    AtlasLoot_TableNames["ZFSezzziz"] = "暗影祭司塞瑟斯";
    AtlasLoot_TableNames["ZFGahzrilla"] = "加茲瑞拉";
    AtlasLoot_TableNames["ZFDustwraith"] = "灰塵怨靈";
    AtlasLoot_TableNames["ZFChiefUkorzSandscalp"] = "烏克茲·沙頂";
    AtlasLoot_TableNames["ZFZerillis"] = "澤雷利斯";
    AtlasLoot_TableNames["ZFTrash"] = "小怪 (ZF)";
    --Zul'Gurub
    AtlasLoot_TableNames["ZGJeklik"] = "高階祭司耶克里克";
    AtlasLoot_TableNames["ZGVenoxis"] = "高階祭司溫諾希斯";
    AtlasLoot_TableNames["ZGMarli"] = "哈卡萊安魂者";
    AtlasLoot_TableNames["ZGMandokir"] = "血領主曼多基爾";
    AtlasLoot_TableNames["ZGGrilek"] = "格里雷克";
    AtlasLoot_TableNames["ZGHazzarah"] = "哈札拉爾";
    AtlasLoot_TableNames["ZGRenataki"] = "雷納塔基";
    AtlasLoot_TableNames["ZGWushoolay"] = "烏蘇雷";
    AtlasLoot_TableNames["ZGGahzranka"] = "加茲蘭卡";
    AtlasLoot_TableNames["ZGThekal"] = "古拉巴什食腐者";
    AtlasLoot_TableNames["ZGArlokk"] = "哈卡萊先知";
    AtlasLoot_TableNames["ZGJindo"] = "妖術師金度";
    AtlasLoot_TableNames["ZGHakkar"] = "哈卡";
    AtlasLoot_TableNames["ZGShared"] = "ZG首領隨機掉落";
    AtlasLoot_TableNames["ZGTrash1"] = "小怪 (ZG)";
    AtlasLoot_TableNames["ZGTrash2"] = "小怪 (ZG)";
    AtlasLoot_TableNames["ZGEnchants"] = "ZG 公式";
    --Arena PvP Sets, Season 1
    AtlasLoot_TableNames["ArenaDruid"] = "德魯伊競技場套裝";
    AtlasLoot_TableNames["ArenaHunter"] = "獵人競技場套裝";
    AtlasLoot_TableNames["ArenaMage"] = "法師競技場套裝";
    AtlasLoot_TableNames["ArenaPaladin"] = "聖騎士競技場套裝";
    AtlasLoot_TableNames["ArenaPriest"] = "牧師競技場套裝";
    AtlasLoot_TableNames["ArenaRogue"] = "盜賊競技場套裝";
    AtlasLoot_TableNames["ArenaShaman"] = "薩滿競技場套裝";
    AtlasLoot_TableNames["ArenaWarlock"] = "術士競技場套裝";
    AtlasLoot_TableNames["ArenaWarrior"] = "戰士競技場套裝";
    --Arena PvP Sets, Season 2
    AtlasLoot_TableNames["Arena2Druid"] = "德魯伊競技場套裝";
    AtlasLoot_TableNames["Arena2Hunter"] = "獵人競技場套裝";
    AtlasLoot_TableNames["Arena2Mage"] = "法師競技場套裝";
    AtlasLoot_TableNames["Arena2Paladin"] = "聖騎士競技場套裝";
    AtlasLoot_TableNames["Arena2Priest"] = "牧師競技場套裝";
    AtlasLoot_TableNames["Arena2Rogue"] = "盜賊競技場套裝";
    AtlasLoot_TableNames["Arena2Shaman"] = "薩滿競技場套裝";
    AtlasLoot_TableNames["Arena2Warlock"] = "術士競技場套裝";
    AtlasLoot_TableNames["Arena2Warrior"] = "戰士競技場套裝";
    --Level 60 PvP Sets
    AtlasLoot_TableNames["PVPDruid"] = "德魯伊PvP套裝 (等級 60)";
    AtlasLoot_TableNames["PVPHunter"] = "獵人PvP套裝 (等級 60)";
    AtlasLoot_TableNames["PVPMage"] = "法師PvP套裝 (等級 60)";
    AtlasLoot_TableNames["PVPPaladin"] = "聖騎士PvP套裝 (等級 60)";
    AtlasLoot_TableNames["PVPPriest"] = "牧師PvP套裝 (等級 60)";
    AtlasLoot_TableNames["PVPRogue"] = "盜賊PvP套裝 (等級 60)";
    AtlasLoot_TableNames["PVPShaman"] = "薩滿PvP套裝 (等級 60)";
    AtlasLoot_TableNames["PVPWarlock"] = "術士PvP套裝 (等級 60)";
    AtlasLoot_TableNames["PVPWarrior"] = "戰士PvP套裝 (等級 60)";
    --Level 70 PvP Sets
    AtlasLoot_TableNames["PVP70Druid1"] = "德魯伊PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Druid2"] = "德魯伊PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Hunter"] = "獵人PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Mage"] = "法師PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Paladin1"] = "聖騎士PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Paladin2"] = "聖騎士PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Priest"] = "牧師PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Rogue"] = "盜賊PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Shaman1"] = "薩滿PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Shaman2"] = "薩滿PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Warlock"] = "術士PvP套裝 (等級 70)";
    AtlasLoot_TableNames["PVP70Warrior"] = "戰士PvP套裝 (等級 70)";
    --AQ20 Sets
    AtlasLoot_TableNames["AQ20Druid"] = "德魯伊RAQ套裝";
    AtlasLoot_TableNames["AQ20Hunter"] = "獵人RAQ套裝";
    AtlasLoot_TableNames["AQ20Mage"] = "法師RAQ套裝";
    AtlasLoot_TableNames["AQ20Paladin"] = "聖騎士RAQ套裝";
    AtlasLoot_TableNames["AQ20Priest"] = "牧師RAQ套裝";
    AtlasLoot_TableNames["AQ20Rogue"] = "盜賊RAQ套裝";
    AtlasLoot_TableNames["AQ20Shaman"] = "薩滿RAQ套裝";
    AtlasLoot_TableNames["AQ20Warlock"] = "術士RAQ套裝";
    AtlasLoot_TableNames["AQ20Warrior"] = "戰士RAQ套裝";
    --AQ40 Sets
    AtlasLoot_TableNames["AQ40Druid"] = "德魯伊TAQ套裝";
    AtlasLoot_TableNames["AQ40Hunter"] = "獵人TAQ套裝";
    AtlasLoot_TableNames["AQ40Mage"] = "法師TAQ套裝";
    AtlasLoot_TableNames["AQ40Paladin"] = "聖騎士TAQ套裝";
    AtlasLoot_TableNames["AQ40Priest"] = "牧師TAQ套裝";
    AtlasLoot_TableNames["AQ40Rogue"] = "盜賊TAQ套裝";
    AtlasLoot_TableNames["AQ40Shaman"] = "薩滿TAQ套裝";
    AtlasLoot_TableNames["AQ40Warlock"] = "術士TAQ套裝";
    AtlasLoot_TableNames["AQ40Warrior"] = "戰士TAQ套裝";
    --AQ40 Sets
    AtlasLoot_TableNames["AQ40Druid"] = "德魯伊TAQ套裝";
    AtlasLoot_TableNames["AQ40Hunter"] = "獵人TAQ套裝";
    AtlasLoot_TableNames["AQ40Mage"] = "法師TAQ套裝";
    AtlasLoot_TableNames["AQ40Paladin"] = "聖騎士TAQ套裝";
    AtlasLoot_TableNames["AQ40Priest"] = "牧師TAQ套裝";
    AtlasLoot_TableNames["AQ40Rogue"] = "盜賊TAQ套裝";
    AtlasLoot_TableNames["AQ40Shaman"] = "薩滿TAQ套裝";
    AtlasLoot_TableNames["AQ40Warlock"] = "術士TAQ套裝";
    AtlasLoot_TableNames["AQ40Warrior"] = "戰士TAQ套裝";
    --Pre60 Sets
    AtlasLoot_TableNames["DEADMINES"] = "迪菲亞皮甲";
    AtlasLoot_TableNames["WAILING"] = "毒蛇的擁抱";
    AtlasLoot_TableNames["SCARLET"] = "血色十字軍鏈甲";
    AtlasLoot_TableNames["BLACKROCKD"] = "角鬥士套裝";
    AtlasLoot_TableNames["IRONWEAVE"] = "鐵織戰裝";
    AtlasLoot_TableNames["ScholoCloth"] = "骨堆套裝";
    AtlasLoot_TableNames["ScholoLeather"] = "蒼白套裝";
    AtlasLoot_TableNames["ScholoMail"] = "血鏈套裝";
    AtlasLoot_TableNames["ScholoPlate"] = "亡骨守護者";
    AtlasLoot_TableNames["STRAT"] = "郵差套裝";
    AtlasLoot_TableNames["ScourgeInvasion"] = "天譴軍團";
    AtlasLoot_TableNames["ShardOfGods"] = "天神碎片";
    AtlasLoot_TableNames["ZGRings"] = "祖爾格拉布套戒";
    AtlasLoot_TableNames["SpiritofEskhandar"] = "艾斯卡達爾之魂";
    AtlasLoot_TableNames["HakkariBlades"] = "哈卡萊雙刃";
    AtlasLoot_TableNames["PrimalBlessing"] = "原始祝福";
    AtlasLoot_TableNames["DalRend"] = "雷德雙刀";
    AtlasLoot_TableNames["SpiderKiss"] = "蜘蛛之吻";
    --BC Sets
    AtlasLoot_TableNames["TwinStars"] = "雙子星套裝";
    AtlasLoot_TableNames["AzzinothBlades"] = "埃辛諾斯雙刃";
    --Crafted Sets - Blacksmithing
    AtlasLoot_TableNames["ImperialPlate"] = "君王鎧甲";
    AtlasLoot_TableNames["TheDarksoul"] = "黑暗之魂";
    AtlasLoot_TableNames["FelIronPlate"] = "魔鐵鎧甲";
    AtlasLoot_TableNames["AdamantiteB"] = "堅鋼戰甲";
--    AtlasLoot_TableNames["ShadowG"] = "暗影套裝";
    AtlasLoot_TableNames["FlameG"] = "烈焰套裝";
    AtlasLoot_TableNames["EnchantedAdaman"] = "附魔堅鋼護甲";
    AtlasLoot_TableNames["KhoriumWard"] = "克銀結界";
    AtlasLoot_TableNames["FaithFelsteel"] = "信仰魔鋼";
    AtlasLoot_TableNames["BurningRage"] = "燃燒狂怒";
    AtlasLoot_TableNames["BloodsoulEmbrace"] = "血魂的擁抱";
    AtlasLoot_TableNames["FelIronChain"] = "魔鐵鍊甲";
    --Crafted Sets - Tailoring
    AtlasLoot_TableNames["BloodvineG"] = "血藤之服";
    AtlasLoot_TableNames["NeatherVest"] = "地紋套裝";
    AtlasLoot_TableNames["ImbuedNeather"] = "韌化地紋套裝";
    AtlasLoot_TableNames["ArcanoVest"] = "奧紋套裝";
    AtlasLoot_TableNames["TheUnyielding"] = "頑強套裝";
    AtlasLoot_TableNames["WhitemendWis"] = "白癒智慧";
    AtlasLoot_TableNames["SpellstrikeInfu"] = "法擊套裝";
    AtlasLoot_TableNames["BattlecastG"] = "戰放服裝";
    AtlasLoot_TableNames["SoulclothEm"] = "靈魂布的擁抱";
    AtlasLoot_TableNames["PrimalMoon"] = "原始月布";
    AtlasLoot_TableNames["ShadowEmbrace"] = "暗影的擁抱";
    AtlasLoot_TableNames["SpellfireWrath"] = "魔焰之怒";
    --Crafted Sets - Leatherworking
    AtlasLoot_TableNames["VolcanicArmor"] = "火山護甲";
    AtlasLoot_TableNames["IronfeatherArmor"] = "鐵羽護甲";
    AtlasLoot_TableNames["StormshroudArmor"] = "雷暴護甲";
    AtlasLoot_TableNames["DevilsaurArmor"] = "魔暴龍護甲";
    AtlasLoot_TableNames["BloodTigerH"] = "血虎套索";
    AtlasLoot_TableNames["PrimalBatskin"] = "原始蝙蝠皮套裝";
    AtlasLoot_TableNames["WildDraenishA"] = "狂野德萊尼護甲";
    AtlasLoot_TableNames["ThickDraenicA"] = "厚德萊尼護甲";
    AtlasLoot_TableNames["FelSkin"] = "惡魔皮膚";
    AtlasLoot_TableNames["SClefthoof"] = "裂蹄力量";
    AtlasLoot_TableNames["GreenDragonM"] = "綠龍鎖甲";
    AtlasLoot_TableNames["BlueDragonM"] = "藍龍鎖甲";
    AtlasLoot_TableNames["BlackDragonM"] = "黑龍鎖甲";
    AtlasLoot_TableNames["ScaledDraenicA"] = "德萊尼鱗護甲";
    AtlasLoot_TableNames["FelscaleArmor"] = "魔鱗護甲";
    AtlasLoot_TableNames["FelstalkerArmor"] = "惡魔捕獵者套裝";
    AtlasLoot_TableNames["NetherFury"] = "虛空之怒套裝";
    AtlasLoot_TableNames["PrimalIntent"] = "原始之意套裝";
    AtlasLoot_TableNames["WindhawkArmor"] = "風之隼護甲";
    AtlasLoot_TableNames["NetherscaleArmor"] = "地獄鱗護甲";
    AtlasLoot_TableNames["NetherstrikeArmor"] = "地擊套裝";
    --ZG Sets
    AtlasLoot_TableNames["ZGDruid"] = "德魯伊ZG套裝";
    AtlasLoot_TableNames["ZGHunter"] = "獵人ZG套裝";
    AtlasLoot_TableNames["ZGMage"] = "法師ZG套裝";
    AtlasLoot_TableNames["ZGPaladin"] = "聖騎士ZG套裝";
    AtlasLoot_TableNames["ZGPriest"] = "牧師ZG套裝";
    AtlasLoot_TableNames["ZGRogue"] = "盜賊ZG套裝";
    AtlasLoot_TableNames["ZGShaman"] = "薩滿ZG套裝";
    AtlasLoot_TableNames["ZGWarlock"] = "術士ZG套裝";
    AtlasLoot_TableNames["ZGWarrior"] = "戰士ZG套裝";
    --Dungeon Set 1/2
    AtlasLoot_TableNames["T0Druid"] = "德魯伊副本套裝 1/2";
    AtlasLoot_TableNames["T0Hunter"] = "獵人副本套裝 1/2";
    AtlasLoot_TableNames["T0Mage"] = "法師副本套裝 1/2";
    AtlasLoot_TableNames["T0Paladin"] = "聖騎士副本套裝 1/2";
    AtlasLoot_TableNames["T0Priest"] = "牧師副本套裝 1/2";
    AtlasLoot_TableNames["T0Rogue"] = "盜賊副本套裝 1/2";
    AtlasLoot_TableNames["T0Shaman"] = "薩滿副本套裝 1/2";
    AtlasLoot_TableNames["T0Warlock"] = "術士副本套裝 1/2";
    AtlasLoot_TableNames["T0Warrior"] = "戰士副本套裝 1/2";
    --Dungeon Set 3
    AtlasLoot_TableNames["DS3Hallowed"] = "神聖儀祭衣飾套裝 (布甲)";
    AtlasLoot_TableNames["DS3Incanter"] = "魔法使的外衣套裝 (布甲)";
    AtlasLoot_TableNames["DS3Mana"] = "魔法蝕刻戰衣套裝 (布甲)";
    AtlasLoot_TableNames["DS3Oblivion"] = "失落戰衣套裝 (布甲)";
    AtlasLoot_TableNames["DS3Assassin"] = "暗殺者護甲 (皮甲)";
    AtlasLoot_TableNames["DS3Moonglade"] = "月光林地套裝 (皮甲)";
    AtlasLoot_TableNames["DS3Wastewalker"] = "廢墟行者護甲套裝 (皮甲)";
    AtlasLoot_TableNames["DS3Beast"] = "野獸之王護甲 (鎖甲)";
    AtlasLoot_TableNames["DS3Desolation"] = "哀傷之鏈套裝 (鎖甲)";
    AtlasLoot_TableNames["DS3Tidefury"] = "潮汐之怒鎖甲套裝 (鎖甲)";
    AtlasLoot_TableNames["DS3Bold"] = "無懼護甲套裝 (鎧甲)";
    AtlasLoot_TableNames["DS3Doom"] = "末日戰甲套裝 (鎧甲)";
    AtlasLoot_TableNames["DS3Right"] = "公正護甲 (鎧甲)";
    --T1 Sets
    AtlasLoot_TableNames["T1Druid"] = "德魯伊T1套裝";
    AtlasLoot_TableNames["T1Hunter"] = "獵人T1套裝";
    AtlasLoot_TableNames["T1Mage"] = "法師T1套裝";
    AtlasLoot_TableNames["T1Paladin"] = "聖騎士T1套裝";
    AtlasLoot_TableNames["T1Priest"] = "牧師T1套裝";
    AtlasLoot_TableNames["T1Rogue"] = "盜賊T1套裝";
    AtlasLoot_TableNames["T1Shaman"] = "薩滿T1套裝";
    AtlasLoot_TableNames["T1Warlock"] = "術士T1套裝";
    AtlasLoot_TableNames["T1Warrior"] = "戰士T1套裝";
    --T2 Sets
    AtlasLoot_TableNames["T2Druid"] = "德魯伊T2套裝";
    AtlasLoot_TableNames["T2Hunter"] = "獵人T2套裝";
    AtlasLoot_TableNames["T2Mage"] = "法師T2套裝";
    AtlasLoot_TableNames["T2Paladin"] = "聖騎士T2套裝";
    AtlasLoot_TableNames["T2Priest"] = "牧師T2套裝";
    AtlasLoot_TableNames["T2Rogue"] = "盜賊T2套裝";
    AtlasLoot_TableNames["T2Shaman"] = "薩滿T2套裝";
    AtlasLoot_TableNames["T2Warlock"] = "術士T2套裝";
    AtlasLoot_TableNames["T2Warrior"] = "戰士T2套裝";
    --T3 Sets
    AtlasLoot_TableNames["T3Druid"] = "德魯伊T3套裝";
    AtlasLoot_TableNames["T3Hunter"] = "獵人T3套裝";
    AtlasLoot_TableNames["T3Mage"] = "法師T3套裝";
    AtlasLoot_TableNames["T3Paladin"] = "聖騎士T3套裝";
    AtlasLoot_TableNames["T3Priest"] = "牧師T3套裝";
    AtlasLoot_TableNames["T3Rogue"] = "盜賊T3套裝";
    AtlasLoot_TableNames["T3Shaman"] = "薩滿T3套裝";
    AtlasLoot_TableNames["T3Warlock"] = "術士T3套裝";
    AtlasLoot_TableNames["T3Warrior"] = "戰士T3套裝";
    --T4 Sets
    AtlasLoot_TableNames["T4Druid"] = "德魯伊T4套裝";
    AtlasLoot_TableNames["T4Hunter"] = "獵人T4套裝";
    AtlasLoot_TableNames["T4Mage"] = "法師T4套裝";
    AtlasLoot_TableNames["T4Paladin"] = "聖騎士T4套裝";
    AtlasLoot_TableNames["T4Priest"] = "牧師T4套裝";
    AtlasLoot_TableNames["T4Rogue"] = "盜賊T4套裝";
    AtlasLoot_TableNames["T4Shaman"] = "薩滿T4套裝";
    AtlasLoot_TableNames["T4Warlock"] = "術士T4套裝";
    AtlasLoot_TableNames["T4Warrior"] = "戰士T4套裝";
    --T5 Sets
    AtlasLoot_TableNames["T5Druid"] = "德魯伊T5套裝";
    AtlasLoot_TableNames["T5Hunter"] = "獵人T5套裝";
    AtlasLoot_TableNames["T5Mage"] = "法師T5套裝";
    AtlasLoot_TableNames["T5Paladin"] = "聖騎士T5套裝";
    AtlasLoot_TableNames["T5Priest"] = "牧師T5套裝";
    AtlasLoot_TableNames["T5Rogue"] = "盜賊T5套裝";
    AtlasLoot_TableNames["T5Shaman"] = "薩滿T5套裝";
    AtlasLoot_TableNames["T5Warlock"] = "術士T5套裝";
    AtlasLoot_TableNames["T5Warrior"] = "戰士T5套裝";
    --T6 Sets
    AtlasLoot_TableNames["T6Druid"] = "德魯伊T6套裝";
    AtlasLoot_TableNames["T6Hunter"] = "獵人T6套裝";
    AtlasLoot_TableNames["T6Mage"] = "法師T6套裝";
    AtlasLoot_TableNames["T6Paladin"] = "聖騎士T6套裝";
    AtlasLoot_TableNames["T6Priest"] = "牧師T6套裝";
    AtlasLoot_TableNames["T6Rogue"] = "盜賊T6套裝";
    AtlasLoot_TableNames["T6Shaman"] = "薩滿T6套裝";
    AtlasLoot_TableNames["T6Warlock"] = "術士T6套裝";
    AtlasLoot_TableNames["T6Warrior"] = "戰士T6套裝";
    --Misc Sets
    AtlasLoot_TableNames["HardModeToken"] = "等級 70 副本獎勵: 配件";
    AtlasLoot_TableNames["HardModeToken2"] = "等級 70 副本獎勵: 火抗裝備";
    AtlasLoot_TableNames["HardModeToken3"] = "等級 70 副本獎勵: 裝備與武器";
    AtlasLoot_TableNames["Legendaries"] = "傳說物品";
    AtlasLoot_TableNames["RareMounts"] = "稀有坐騎";
    AtlasLoot_TableNames["Tabards1"] = "大衣/軍服";
    AtlasLoot_TableNames["Tabards2"] = "大衣/軍服";
    AtlasLoot_TableNames["CraftedWeapons1"] = "鍛造史詩武器";
    AtlasLoot_TableNames["CraftedWeapons2"] = "鍛造史詩武器";
    --Azuregos
    AtlasLoot_TableNames["AAzuregos"] = "艾索雷葛斯";
    --Doom Lord Kazzak
    AtlasLoot_TableNames["DoomLordKazzak"] = "毀滅之王卡札克";
    --Doomwalker
    AtlasLoot_TableNames["DDoomwalker"] = "厄運行者";
    --Emeriss
    AtlasLoot_TableNames["DEmeriss"] = "艾莫莉絲";
    --Highlord Kruul
    AtlasLoot_TableNames["KKruul"] = "卡魯歐領主";
    --Lethon
    AtlasLoot_TableNames["DLethon"] = "雷索";
    --Taerar
    AtlasLoot_TableNames["DTaerar"] = "泰拉爾";
    --Ysondre
    AtlasLoot_TableNames["DYsondre"] = "伊索德雷";
    --Aldor
    AtlasLoot_TableNames["Aldor1"] = BabbleFaction["The Aldor"]..": 友好/尊敬";
    AtlasLoot_TableNames["Aldor2"] = BabbleFaction["The Aldor"]..": 崇敬/崇拜";
    --The Argent Dawn
    AtlasLoot_TableNames["Argent1"] = BabbleFaction["Argent Dawn"]..": 象徵物兌換獎勵";
    AtlasLoot_TableNames["Argent2"] = BabbleFaction["Argent Dawn"];
    --Ashtongue Deathsworn
    AtlasLoot_TableNames["Ashtongue1"] = BabbleFaction["Ashtongue Deathsworn"];
    AtlasLoot_TableNames["Ashtongue2"] = BabbleFaction["Ashtongue Deathsworn"];
    --The Bloodsail Buccaneers
    AtlasLoot_TableNames["Bloodsail1"] = BabbleFaction["Bloodsail Buccaneers"];
    --The Brood of Nozdormu
    AtlasLoot_TableNames["AQBroodRings"] = BabbleFaction["Brood of Nozdormu"];
    --The Cenarion Circle
    AtlasLoot_TableNames["Cenarion1"] = BabbleFaction["Cenarion Circle"]..": 友好";
    AtlasLoot_TableNames["Cenarion2"] = BabbleFaction["Cenarion Circle"]..": 尊敬";
    AtlasLoot_TableNames["Cenarion3"] = BabbleFaction["Cenarion Circle"]..": 崇敬";
    AtlasLoot_TableNames["Cenarion4"] = BabbleFaction["Cenarion Circle"]..": 崇拜";
    --The Cenarion Expedition
    AtlasLoot_TableNames["CExpedition1"] = BabbleFaction["Cenarion Expedition"]..": 友好/尊敬";
    AtlasLoot_TableNames["CExpedition2"] = BabbleFaction["Cenarion Expedition"]..": 崇敬/崇拜";
    --The Consortium
    AtlasLoot_TableNames["Consortium1"] = BabbleFaction["The Consortium"]..": 友好/尊敬";
    AtlasLoot_TableNames["Consortium2"] = BabbleFaction["The Consortium"]..": 崇敬/崇拜";
    --The Darkmoon Faire
    AtlasLoot_TableNames["Darkmoon1"] = BabbleFaction["Darkmoon Faire"];
    AtlasLoot_TableNames["Darkmoon2"] = "暗月馬戲團 - 飾品";
    --The Frostwolf Clan
    AtlasLoot_TableNames["Frostwolf1"] = BabbleFaction["Frostwolf Clan"];
    --The Hydraxian Waterlords
    AtlasLoot_TableNames["WaterLords1"] = BabbleFaction["Hydraxian Waterlords"];
    --Honor Hold
    AtlasLoot_TableNames["HonorHold1"] = BabbleFaction["Honor Hold"]..": 友好/尊敬";
    AtlasLoot_TableNames["HonorHold2"] = BabbleFaction["Honor Hold"]..": 崇敬/崇拜";
    --The Keepers of Time
    AtlasLoot_TableNames["KeepersofTime1"] = BabbleFaction["Keepers of Time"];
    --The Kurenai
    AtlasLoot_TableNames["Kurenai1"] = BabbleFaction["Kurenai"];
    --Lower City
    AtlasLoot_TableNames["LowerCity1"] = BabbleFaction["Lower City"];
    --The Mag'har
    AtlasLoot_TableNames["Maghar1"] = BabbleFaction["The Mag'har"];
    --Netherwing
    AtlasLoot_TableNames["Netherwing1"] = BabbleFaction["Netherwing"];
    --Ogri'la
    AtlasLoot_TableNames["Ogrila1"] = BabbleFaction["Ogri'la"];
    --The Scale of the Sands
    AtlasLoot_TableNames["ScaleSands1"] = BabbleFaction["The Scale of the Sands"];
    AtlasLoot_TableNames["ScaleSands2"] = BabbleFaction["The Scale of the Sands"];
    --The Scryers
    AtlasLoot_TableNames["Scryer1"] = BabbleFaction["The Scryers"]..": 友好/尊敬";
    AtlasLoot_TableNames["Scryer2"] = BabbleFaction["The Scryers"]..": 崇敬/崇拜";
    --The Sha'tar
    AtlasLoot_TableNames["Shatar1"] = BabbleFaction["The Sha'tar"];
    --Sha'tari Skyguard
    AtlasLoot_TableNames["Skyguard1"] = BabbleFaction["Sha'tari Skyguard"];
    --The Sporeggar
    AtlasLoot_TableNames["Sporeggar1"] = BabbleFaction["Sporeggar"];
    --The Stormpike Guards
    AtlasLoot_TableNames["Stormpike1"] = BabbleFaction["Stormpike Guard"];
    --The Thorium Brotherhood
    AtlasLoot_TableNames["Thorium1"] = BabbleFaction["Thorium Brotherhood"]..": 友好/尊敬";
    AtlasLoot_TableNames["Thorium2"] = BabbleFaction["Thorium Brotherhood"]..": 崇敬/崇拜";
    --Thrallmar
    AtlasLoot_TableNames["Thrallmar1"] = BabbleFaction["Thrallmar"]..": 友好/尊敬";
    AtlasLoot_TableNames["Thrallmar2"] = BabbleFaction["Thrallmar"]..": 崇敬/崇拜";
    --Timbermaw Hold
    AtlasLoot_TableNames["Timbermaw"] = BabbleFaction["Timbermaw Hold"];
    --The Tranquillien
    AtlasLoot_TableNames["Tranquillien1"] = BabbleFaction["Tranquillien"];
    --The Violet Eye
    AtlasLoot_TableNames["VioletEye1"] = BabbleFaction["The Violet Eye"];
    --The Wintersaber Trainers
    AtlasLoot_TableNames["Wintersaber1"] = BabbleFaction["Wintersaber Trainers"];
    --The Zandalar Tribe
    AtlasLoot_TableNames["Zandalar1"] = BabbleFaction["Zandalar Tribe"]..": 友好/尊敬";
    AtlasLoot_TableNames["Zandalar2"] = BabbleFaction["Zandalar Tribe"]..": 崇敬/崇拜";
    --Battlegrounds
    AtlasLoot_TableNames["AVMisc"] = "奧特蘭克山谷雜項獎勵";
    AtlasLoot_TableNames["AVBlue"] = "奧特蘭克山谷精良獎勵";
    AtlasLoot_TableNames["AVPurple"] = "奧特蘭克山谷史詩獎勵";
    AtlasLoot_TableNames["ABMisc"] = "阿拉希盆地雜項獎勵";
    AtlasLoot_TableNames["ABBlue"] = "阿拉希盆地精良獎勵";
    AtlasLoot_TableNames["ABPurple"] = "阿拉希盆地史詩獎勵";
    AtlasLoot_TableNames["ABSets1"] = "阿拉希盆地套裝（布甲/皮甲）";
    AtlasLoot_TableNames["ABSets2"] = "阿拉希盆地套裝（鎖甲/鎧甲）";
    AtlasLoot_TableNames["WSGMisc"] = "戰歌峽谷雜項獎勵";
    AtlasLoot_TableNames["WSGBlue"] = "戰歌峽谷精良獎勵";
    AtlasLoot_TableNames["WSGPurple"] = "戰歌峽谷史詩獎勵";
    --World PvP
    AtlasLoot_TableNames["Hellfire"] = "地域火半島: 防禦堡壘";
    AtlasLoot_TableNames["Nagrand1"] = "納葛蘭: 哈剌";
    AtlasLoot_TableNames["Nagrand2"] = "納葛蘭: 哈剌";
    AtlasLoot_TableNames["Terokkar"] = "泰洛卡森林: 精神哨塔";
    AtlasLoot_TableNames["Zangarmarsh"] = "贊格沼澤: 雙塔廢墟";
    --Misc Other PvP
    AtlasLoot_TableNames["PvP60Accessories1"] = "PvP 配件 (等級 60)";
    AtlasLoot_TableNames["PvP60Accessories2"] = "PvP 配件 (等級 60)";
    AtlasLoot_TableNames["PvP70Accessories1"] = "PvP 配件 (等級 70)";
    AtlasLoot_TableNames["PvP70Accessories2"] = "PvP 配件 (等級 70)";
    AtlasLoot_TableNames["PvP70NonSet1"] = "PvP 非套裝史詩配件";
    AtlasLoot_TableNames["PvP70NonSet2"] = "PvP 非套裝史詩布甲";
    AtlasLoot_TableNames["PvP70NonSet3"] = "PvP 非套裝史詩皮甲";
    AtlasLoot_TableNames["PvP70NonSet4"] = "PvP 非套裝史詩鎖甲";
    AtlasLoot_TableNames["PvP70NonSet5"] = "PvP 非套裝史詩鎧甲";
    AtlasLoot_TableNames["PVPWeapons1"] = "等級60 PvP 武器";
    AtlasLoot_TableNames["PVPWeapons2"] = "等級60 PvP 武器";
    AtlasLoot_TableNames["PVP70Weapons1"] = "等級70 PvP 武器";
    AtlasLoot_TableNames["PVP70Weapons2"] = "等級70 PvP 武器";
    AtlasLoot_TableNames["ArenaWeapons"] = "競技場第一季聯賽武器";
    AtlasLoot_TableNames["Arena2Weapons"] = "競技場第二季聯賽武器";

end
